commit:     9d1ad89c78586bcea6a345672d5029dd96927296
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 12:22:40 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 12:22:40 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d1ad89c

dev-python/beaker:

Tidy to test phase, notate issue filed upstream in test phase re
apparent regression in one test file wrt bug #557026"

Package-Manager: portage-2.2.20

 dev-python/beaker/beaker-1.7.0-r1.ebuild | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/dev-python/beaker/beaker-1.7.0-r1.ebuild 
b/dev-python/beaker/beaker-1.7.0-r1.ebuild
index b54d0ce..13b2fe6 100644
--- a/dev-python/beaker/beaker-1.7.0-r1.ebuild
+++ b/dev-python/beaker/beaker-1.7.0-r1.ebuild
@@ -38,10 +38,9 @@ python_prepare_all() {
 }
 
 python_test() {
+       # https://github.com/bbangert/beaker/issues/86; bug #557026
        cp -r -l tests "${BUILD_DIR}"/ || die
-       pushd  "${BUILD_DIR}"/tests > /dev/null
-       nosetests || die "Tests fail with ${EPYTHON}"
-       popd > /dev/null
+       nosetests -w "${BUILD_DIR}"/tests || die "Tests fail with ${EPYTHON}"
 }
 
 pkg_postinst() {

Reply via email to